<div class="container-fluid">
    <div class="row">
        <div class="col-md-12 prod">
            แจ้งข่าวสารระบบ Product Process System
        </div>
        <div class="col-md-12 folow-news" style="margin-bottom: 40px">ติดตามข่าวสารต่างๆ ที่มีในระบบ Product
            Process System
        </div>
        <div class="col-md-12 list_alert_new" style="padding-bottom: 12px">รายการแจ้งข่าวสาร</div>
        <div class="col-md-12 rectangle"></div>
        <div class="col-md-12" style="padding-top: 24px">
            <table style="width: 100%;display: inline-table">
                <tr style="background-color: #f8f9fa;">
                    <th style="padding: 15px;width: 80px"><label class="text" style="text-align: left">ลำดับที่</label>
                    </th>
                    <th style="padding: 15px;width: 180px"><label class="text"
                            style="text-align: left">หัวข้อประกาศ</label></th>
                    <th style="padding: 15px;width: 300px;max-width: 300px;"><label class="text"
                            style="text-align: left;margin-left: 25px;">เอกสารแนบ</label>
                    </th>
                    <th style="padding: 15px;width: 130px"><label class="text"
                            style="text-align: left">วันที่ประกาศ</label></th>
                </tr>
                <tr style="text-align: left" *ngFor="let item of product_data;let i = index">
                    <td style="padding: 15px;width: 80px;text-align: center"><label class="text-td"
                            style="text-align: left">{{i + 1}}</label></td>
                    <td style="padding: 15px;">
                        <label class="text-td" style="text-align: left;margin-right: 10px;cursor: pointer;"
                            (click)="showDialog(i)">{{item.topic}}
                            <div class="news" style="display: inline-table;cursor: pointer;"
                                *ngIf="item.isNew === true">
                                <label class="news_new"
                                    style="margin-top: 10px;cursor: pointer;height: 8px;width: 38px;">ข่าวใหม่</label>
                            </div>
                        </label>
                    </td>
                    <td style="margin-top: 15px;margin-left: 40px;display: inline-table" *ngIf="file_data.length > 0">
                        <div *ngFor="let name of file_data[i];let j = index" (click)="downloadFile(name['path'])"
                            style="display: inline-table;background-color: whitesmoke;border-radius: 6px;text-align: center;margin: 4px;cursor: pointer;">
                            <img src="assets/img/{{types2[i][j]}}.svg"
                                style="width: 26px;height: 26px;display: inline-table;cursor: pointer;">
                            <label class="text-td"
                                style="text-align: left;padding: 15px;display: inline-table;margin-top: 8px;margin-left: 5px;cursor: pointer;">{{name['fileName']}}&nbsp;</label>
                        </div>
                    </td>
                    <td style="padding: 15px;width: 130px">
                        <label class="text-td" style="text-align: left">{{item.informationDate}}</label>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</div>